> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Manifest Configuration Endpoint

> Returns the manifest's base64-encoded content.

Used by `ankra cluster manifests upgrade` to preserve manifest_base64 when
the user supplies only metadata changes (e.g. --namespace).



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/clusters/imported/{cluster_id}/manifests/{manifest_name}/configuration
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/clusters/imported/{cluster_id}/manifests/{manifest_name}/configuration:
    get:
      tags:
        - Imported Clusters
      summary: Get Manifest Configuration Endpoint
      description: >-
        Returns the manifest's base64-encoded content.


        Used by `ankra cluster manifests upgrade` to preserve manifest_base64
        when

        the user supplies only metadata changes (e.g. --namespace).
      operationId: >-
        get_manifest_configuration_endpoint_api_v1_org_clusters_imported__cluster_id__manifests__manifest_name__configuration_get
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: path
          name: manifest_name
          required: true
          schema:
            title: Manifest Name
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetClusterManifestResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetClusterManifestResult:
      properties:
        jobs:
          default: []
          items:
            $ref: '#/components/schemas/SchedulerJob'
          title: Jobs
          type: array
        manifest:
          $ref: >-
            #/components/schemas/usecase__cluster__manifests__get_cluster_manifest__ManifestItem
      required:
        - manifest
      title: GetClusterManifestResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SchedulerJob:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        job_id:
          format: uuid4
          title: Job Id
          type: string
        name:
          title: Name
          type: string
        operation_id:
          format: uuid4
          title: Operation Id
          type: string
        status:
          $ref: '#/components/schemas/JobStatus'
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - job_id
        - name
        - status
        - operation_id
        - created_at
        - updated_at
      title: SchedulerJob
      type: object
    usecase__cluster__manifests__get_cluster_manifest__ManifestItem:
      properties:
        delete_permanently:
          title: Delete Permanently
          type: boolean
        manifest_base64:
          title: Manifest Base64
          type: string
        name:
          title: Name
          type: string
        state:
          $ref: '#/components/schemas/ResourceState'
      required:
        - name
        - manifest_base64
        - state
        - delete_permanently
      title: ManifestItem
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    JobStatus:
      enum:
        - running
        - success
        - failed
        - timeout
        - pending
        - blocked
        - cancelling
        - cancelled
      title: JobStatus
      type: string
    ResourceState:
      enum:
        - creating
        - updating
        - stopping
        - up
        - down
      title: ResourceState
      type: string

````